{% extends "base.html" %}
{% load static %}
{% block titulo %}
  .::Nueva - Transferencia
{% endblock titulo %}
{% block content1 %}
    <script type="text/javascript">
        $("#navTrans").attr('class','dropdown active');
        $("#navST").attr('class','dropdown active');
        $("#navCrearTransGlobal").attr('class','active');
    </script> 
<style type="text/css">
  .input-group-addon {
    padding: 0px 6px;
}
</style>
      <form  action="/CrearTransferencia_base_externo/" method="POST" data-toggle="validator" role="form" id="formulario">{% csrf_token %}
        {% ifequal estado 'warning'%}
        <div class="row">
          <div class="alert alert-warning alert-dismissible" role="alert">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close" style=" font-size:30px;"><span aria-hidden="true">&times;</span></button>
            <strong>POR FAVOR ENVIE EL CAPITAL. UNA VEZ SOBREPASADO EL MONTO TOPE NO PODRA ENVIAR TRANSFERENCIAS</strong><br>
            Cualquier duda contactese con el gerente
          </div>
        </div>
         {% endifequal %}
        <div class="row">
          <div class="col-md-12 col-sm-12" >
              <div class="panel panel-primary">
                <div class="panel-body">
                  <div class="row" id="Result">
                  <div class="col-md-12">
                    {% ifnotequal resultado '' %}
                    {% ifequal resultado 'exito' %}
                    <div class="alert alert-success" role="alert" align="center">
                      <h4>OPERACION EXITOSA!!</h4>
                    </div>
                    {% else %}
                    <div class="alert alert-danger" role="alert" align="center">
                      <h4>FALLO OPERACION :( {{resultado}}</h4>
                    </div>
                    {% endifequal %}
                    {% endifnotequal %}
                  </div>
                  </div>
                  {% ifnotequal aso_e 'danger' %}
                    {% if estado == 'danger' and aso_e == '' %}
                      <div class="row">
                        <div class="col-md-12">
                          <div class="alert alert-warning alert-dismissible" role="alert">
                            <strong>USTED YA SOBREPASO EL MONTO TOPE EN TRANSFERENCIAS; POR FAVOR ENVIE EL CAPITAL</strong><br>
                            cualquier  duda comuniquese con el gerente
                          </div>
                        </div>
                      </div>
                    {% else %}
                    {% if env == 'danger' and aso_e == '' %}
                      <div class="row">
                        <div class="col-md-12">
                          <div class="alert alert-warning alert-dismissible" role="alert">
                            <strong>USTED YA SOBREPASO EL MONTO TOPE EN TRANSFERENCIAS; EL CAPITAL ENVIADO NO A SIDO COBRADO AUN</strong><br>
                            cualquier  duda comuniquese con el gerente
                          </div>
                        </div>
                      </div>
                    {% else %}
                  <div class="row">
                    <div class="col-md-12">
                      <div class="row">
                         <div class="col-md-12">
                            <div class="col-md-4">
                            <div class="panel panel-default" id="panel_beneficiario">
                            <div class="panel-heading" id="grupoB">  
                                <b>DATOS DEL BENEFICIADO <span id="cabecera_bene"></span></b> 
                            </div>
                            <div class="panel-body" id="CampoBen">

                                  <input type="text" class="hidden" name="IdCliente" id="IdCliente">
                                  <input type="text" class="hidden" name="IdBeneficiado" id="IdBeneficiado">

                              <div class="row">
                                <div class="col-md-6">
                                  <div class="checkbox">
                                    <label>
                                      <input type="checkbox" value="si" name="menor"> Menor de Edad
                                    </label>
                                  </div>
                                </div>
                                <div class="col-md-6">
                                  <label style="margin-bottom: 0px;">
                                      <input type="radio" name="TipoPersonaB" id="rbNaturalB" value="Natural" required checked>
                                      Persona Natural
                                  </label>
                                  <label style="margin-bottom: 0px;">
                                      <input type="radio" name="TipoPersonaB" id="rbJuridicaB" value="Juridica" required>
                                      Persona Jurídica
                                  </label>
                                </div>
                              </div> 
                              
                              <div class="row">
                                <div class="col-md-7">
                                  <div class="form-group">
                                    <div class="input-group">
                                      <div class="input-group-addon" ><label id="dniRUCB">DNI:</label></div>
                                      <input type="text" class="form-control" id="txtDNIB" name="DniRucB" data-minlength="8" data-maxlength="11"  data-provide="typeahead" autocomplete="off">
                                    </div>
                                    <div class="form-control-feedback" style="text-align:left;" ></div>
                                    <div class="help-block with-errors"></div>
                                  </div>              
                                </div>
                                <div class="col-md-4">
                                  <button class="btn btn-primary btn-block btn-xs" id="btn_limpiar_bene">Limpiar</button>
                                </div>
                              </div>
                              <div class="row">
                                <div class="col-md-12">
                                  <div class="form-group">
                                    <div class="input-group">
                                      <div class="input-group-addon"><label id="nombreRazonB">Nombres: </label></div>
                                      <input type="text" class="form-control mayuscula" id="txtNombreB"  name="NombreBnf" data-provide="typeahead" autocomplete="off" required>
                                    </div>
                                    <div class="form-control-feedback" style="text-align:left;" ></div>
                                   <div class="help-block with-errors"></div>
                                  </div> 
                                </div>
                              </div>
                                <div class="row" id="campoApB">
                                  <div class="col-md-12">
                                    <div class="form-group">
                                      <div class="input-group">
                                        <div class="input-group-addon"><label>A. Paterno: </label></div>
                                        <input type="text" class="form-control mayuscula" id="txtAPB" name="PaternoBnf" data-provide="typeahead" autocomplete="off" required>
                                      </div>
                                      <div class="form-control-feedback" style="text-align:left;" ></div>

                                     <div class="help-block with-errors"></div>
                                    </div>  
                                  </div>
                                </div>
                                <div class="row" id="campoAmB">
                                  <div class="col-md-12">
                                    <div class="form-group">
                                      <div class="input-group">
                                        <div class="input-group-addon"><label>A. Materno:</label></div>
                                        <input type="text" class="form-control mayuscula" id="txtAMB" name="MaternoBnf" data-provide="typeahead" autocomplete="off" required>
                                      </div>
                                      <div class="form-control-feedback" style="text-align:left;" ></div>
                                     <div class="help-block with-errors"></div>
                                    </div>   
                                  </div>
                                </div>
                                <div class="row">
                                  <div class="col-md-8">
                                    <div class="form-group">
                                      <div class="input-group">
                                        <div class="input-group-addon"><label>Celular: </label></div>
                                        <input type="text" class="form-control mayuscula" id="txtcel" name="CelularBnf"  data-minlength="9" maxlength="9" style="font-size:16px;font-weight:bold;" pattern="[9][0-9]{2,9}$">
                                      </div>
                                      
                                      <div class="form-control-feedback" style="text-align:left;" ></div>
                                      <div class="help-block with-errors"></div>
                                    </div>      
                                  </div>
                                </div>

                              </div>
                            </div>  
                            </div>

                          <div class="col-md-4">
                          <div class="panel panel-default" id="panel_solicitante">
                          <div class="panel-heading" id="grupoS"> 
                            <b>DATOS DEL SOLICITANTE <span id="cabecera_soli"></span></b> 
                          </div>
                          <div class="panel-body" id="CampoSol">
                          <div class="row">
                            
                            <div class="col-md-12">
                                  <label style="margin-bottom: 0px;">
                                      <input type="radio" name="TipoPersona" id="rbNatural" value="Natural" required checked>
                                      Persona Natural 
                                  </label>
                                  <label style="margin-bottom: 0px;">
                                      <input type="radio" name="TipoPersona" id="rbJuridica" value="Juridica" required>
                                      Persona Jurídica
                                  </label>
                            </div>                            
                          </div> 
                          <p></p>
                          <div class="row">
                            <div class="col-md-7">
                              <div class="form-group">
                                <div class="input-group">
                                  <div class="input-group-addon"><label id="dniRUC">DNI: </label></div>
                                  <input type="text" class="form-control" id="txtDNI" name="DniRucCln" data-minlength="8" data-maxlength="11" data-provide="typeahead" autocomplete="off">
                                </div>
                                <div class="form-control-feedback" style="text-align:left;" ></div>
                                <div class="help-block with-errors"></div>
                              </div>              
                               <p></p>
                            </div>
                            <div class="col-md-4">
                              <button class="btn btn-primary btn-block btn-xs" id="btn_limpiar_soli">Limpiar</button>
                            </div>
                          </div>
                          <div class="row">
                             <div class="col-md-12">
                              <div class="form-group">
                                <div class="input-group">
                                  <div class="input-group-addon"><label id="nombreRazon">Nombres: </label></div>
                                  <input type="text" class="form-control mayuscula" id="txtNombre" name="NombreCln" data-provide="typeahead" autocomplete="off" required>
                                </div>
                                <div class="form-control-feedback" style="text-align:left;" ></div>
                                <div class="help-block with-errors"></div>
                               </div>                             
                              <p></p>
                            </div>
                          </div>

                          <div class="row" id="campoAp">
                            <div class="col-md-12">
                              <div class="form-group">
                                <div class="input-group">
                                  <div class="input-group-addon"><label>A. Paterno:</label></div>
                                  <input type="text" class="form-control mayuscula" id="txtAP" name="PaternoCln" data-provide="typeahead" autocomplete="off" required>
                                </div>
                                <div class="form-control-feedback" style="text-align:left;" ></div>
                                <div class="help-block with-errors"></div>
                              </div>
                              <p></p>
                            </div>
                          </div>

                          <div class="row" id="campoAm">
                              <div class="col-md-12">
                                <div class="form-group">
                                  <div class="input-group">
                                    <div class="input-group-addon"><label>A. Materno:</label></div>
                                    <input type="text" class="form-control mayuscula" id="txtAM" name="MaternoCln" data-provide="typeahead" autocomplete="off">
                                  </div>
                                  <div class="form-control-feedback" style="text-align:left;" ></div>
                                  <div class="help-block with-errors"></div>
                                </div>                             
                                <p></p>
                              </div>
                          </div>
                           <div class="row">
                              <div class="col-md-12">
                                <div class="form-group">
                                  <div class="input-group">
                                    <div class="input-group-addon"><label>Celular:</label></div>
                                    <input type="text" class="form-control mayuscula" id="txtcelCli" name="CelularCli"  data-minlength="9" maxlength="9" style="font-size:16px;font-weight:bold;" pattern="[9][0-9]{2,9}$">
                                  </div>
                                  <div class="form-control-feedback" style="text-align:left;" ></div>
                                  <div class="help-block with-errors"></div>
                                </div>      
                              </div>
                            </div>
                           


                           
                            
                            </div>
                          </div>  
                        </div>




                       


                    <div class="col-md-4">
                      <div class="card">
                      <div class="panel panel-default" >
                        <div class="panel-heading"  id="grupoC"><b>DATOS DE LA TRANSFERENCIA</b></div>
                        <div class="panel-body">
                          <div class="row">
                            <div class="col-md-4 m-l-5 m-r-5"  align="right">
                              <label>Oficina Origen</label> 
                            </div>
                            <div class="col-md-7">
                                <div class="select">
                                  <select class="form-control" name="OficinaOri" id="ComboOficina1" style="height: 32px;">    
                                  </select> 
                                </div>
                            </div>
                          </div>
                          <p></p>
                          <div class="row">
                            <div class="col-md-4"  align="right">
                              <label>Destino</label> 
                            </div>
                            <div class="col-md-7" >
                              <div class="">
                                  <select class="form-control" name="OficinaDst" id="ComboOficina" placeholder="Of. Destino">    
                                  </select>
                              </div>
                            </div>
                          </div>  
                          <div class="row">
                            <div class="col-md-12">
                              <div class="col-sm-8" style="padding-right: 0px;padding-left: 0px;">
                                <div class="form-group">
                                  <div class="input-group">
                                    <div class="input-group-addon"><label>Monto:</label></div>
                                    <input type="text" class="form-control" id="txtCantidad" name="Monto" autocomplete="off" required>
                                  </div>
                                  <div class="form-control-feedback" style="text-align:left;" ></div>
                                  <div class="help-block with-errors"></div>
                                </div>                              
                                <p></p>
                              </div>
                              <div class="col-sm-4" style="padding-right: 0px;padding-left: 0px;">
                                 <select class="form-control" name="moneda" id="Cmoneda">
                                    <option value="soles">Soles</option>
                                    <option value="dolares">Dolares</option>
                                  </select>
                              </div>
                            </div>
                            <script type="text/javascript">
                              $(document).ready(function(){
                                $('#txtCantidad').numeric(".");
                                $('#txtcel').numeric();
                                    //$('#decimal').numeric(",");
                              });
                            </script>
                           
                          </div> 
                          <div class="row">
                            <div class="col-md-9">
                              <div class="form-group">
                                <div class="input-group">
                                  <div class="input-group-addon"><label>Comisión (DT):</label></div>
                                  <input type="text" class="form-control" id="txtComicion" name="comicion" autocomplete="off" required>
                                </div>
                                <div class="form-control-feedback" style="text-align:left;" ></div>
                                <div class="help-block with-errors"></div>
                              </div>                              
                              <p></p>
                            </div>
                            <div class="col-md-3">
                              <button type="button" class="btn btn-danger btn-block" id="solAutCo" >Editar</button>
                            </div>
                            <script type="text/javascript">
                              $(document).ready(function(){
                                $('#txtComicion').numeric(".");                          
                                    //$('#decimal').numeric(","); 
                              });
                            </script>
                          </div>
                          <div class="row">
                              <div class="col-md-11">
                                  <div class="form-group">
                                    <div class="input-group">
                                      <div class="input-group-addon">
                                        <label>Comisión Bancos:</label>
                                      </div>
                                      <input type="text" class="form-control" id="txtConcepto" name="MontoConcepto" autocomplete="off">
                                    </div>
                                    <div class="form-control-feedback" style="text-align:left;" ></div>
                                    <div class="help-block with-errors"></div>
                                  </div>                              
                                  <p></p>
                                </div>
                            <script type="text/javascript">
                               $(document).ready(function(){
                                  $('#txtConcepto').numeric(".");
                                });

                                $("#txtConcepto").keyup(function(){
                                  if($(this).val()>0 && $(this).val().trim()!=""){
                                    $("#divNroCta").removeClass("hidden"); 
                                    $("#txtNroCta").prop('required', true);
                                  }else{
                                    $("#txtNroCta").val("");
                                    $("#divNroCta").addClass("hidden"); 
                                    $("#txtNroCta").prop('required', false);
                                  }
                                });
                            </script>
                          </div> 

                            <div class="row hidden" id="divNroCta">
                                <div class="col-md-12">
                                  <div class="form-group">
                                    <div class="input-group">
                                      <div class="input-group-addon"><label>Numero Cuenta:</label></div>
                                      <input type="text" class="form-control" id="txtNroCta" name="NroCta" data-minlength="4" autocomplete="off">
                                    </div>
                                    <div class="form-control-feedback" style="text-align:left;" ></div>
                                    <div class="help-block with-errors"></div>
                                  </div>                              
                                  <p></p>
                                </div>
                                <script type="text/javascript">
                                  $(document).ready(function(){
                                    $('#txtNroCta').numeric(".");
                                  });
 
                                </script>
                              </div> 

                          <div class="row">
                            <div class="col-md-4" align="right">
                              <label>Detalle Bancos/ Observaciones</label> 
                            </div>
                            <div class="col-md-7">
                              <div class="form-group">
                                 <textarea class="form-control" rows="2"  name="conceptoDet" ></textarea >
                                <div class="form-control-feedback" style="text-align:left;" ></div>
                                 <div class="help-block with-errors"></div>
                              </div>                              
                              <p></p>
                            </div>
                          </div>
                          <div class="row">
                            <div class="col-md-4" align="right">
                              <label>Observaciones:</label>
                            </div>
                            <div class="col-md-7">
                              <div class="form-group">
                                <textarea class="form-control" rows="2" name="obs" ></textarea >
                                <div class="form-control-feedback" style="text-align:left;" ></div>
                               <div class="help-block with-errors"></div>
                              </div>
                              
                            </div>
                          </div>                                  
                        </div>
                      </div>  
                    </div>
                  </div>
                      </div>





                      </div>
 
                   
                  <div class="row" hidden>
                    <div class="col-md-2 col-md-offset-3 hidden"> 
                            <select class="form-control" name="transac">
                              <option value="{{transac}}"></option>
                            </select> 
                    </div>
                    <div class="col-md-1 col-xs-1" style="z-index: -10;">
                      <input type="text" class="form-control" id="txtCodigoAu" name="CodigoAut">
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-md-12">
                        
                        <div class="col-md-2 col-md-offset-5">
                          <button type="button" class="btn btn-success btn-block btn-sm" data-toggle="modal" data-target="#modalenvio" id="enviar_transferencia">Guardar</button>
                        </div>
                    </div>
                  </div>
                  {% endif %}
                    {% endif %}
                  {% else %}
                    <div class="row">
                        <div class="col-md-12">
                          <div class="alert alert-danger alert-dismissible" role="alert">
                            <strong>USTED  Y SUS ASOCIADOS YA SOBREPASO EL MONTO TOPE EN TRANSFERENCIAS; POR FAVOR ENVIE EL CAPITAL</strong><br>
                            cualquier  duda comuniquese con el gerente
                          </div>
                        </div>
                      </div>
                  {% endifnotequal %}
                  <div id="modalenvio" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                              <div class="modal-dialog ">
                                <div class="modal-content">
                                  <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                    <h4 class="modal-title" id="myModalLabel">Detalle envío</h4>
                                  </div>
                                  <div class="modal-body">
                                    <div class="row">
                                     <div class="col-md-6" align="center">
                                      <label><h4>Origen: <span id="text_ori" style="color:#3c763d;"></span></h4></label>
                                     </div>
                                     <div class="col-md-6" align="center">
                                      <label><h4>Destino: <span id="text_des" style="color:#a94442;"></span></h4></label>
                                     </div>
                                    </div>

                                    <div class="row">
                                      <div class="col-md-2 col-md-offset-1" > 
                                        <h4>Cantidad:</h4> 
                                      </div>
                                      <div class="col-md-9">
                                          <h4 ><span id="mn"></span> <b id="canti_h4"></b></h4>
                                          <h4 ><span id="canti_h6" style="color: #a94442;" ></span> <span id="alerta_mone"></span></h4>
                                      </div>
                                    </div>
                                    <p></p>
                                    <div class="row">
                                      <div class="col-md-2 col-md-offset-1" > 
                                        <h4>Comisión:</h4> 
                                      </div>
                                      <div class="col-md-9">
                                          <h4 ><span id="mn1"></span> <b id="comi_h4"></b></h4>
                                          <h4 ><span id="comi_h6" style="color: #a94442;" ></span> <span id="alerta_mone1"></span></h4>
                                      </div>
                                    </div>
                                    <p></p>
                                    <div class="row">
                                      <div class="col-md-2 col-md-offset-1" > 
                                        <h4>Concepto Extra:</h4> 
                                      </div>
                                      <div class="col-md-9">
                                          <h4 ><span id="mn2"></span> <b id="otros_h4"></b></h4>
                                          <h4 ><span id="otros_h6" style="color: #a94442;" ></span> <span id="alerta_mone2"></span></h4>
                                      </div>
                                    </div>
                                    <p></p>
                                    <div class="row">
                                      <div class="" role="alert" align="center" id="resp_en">
                                      </div>
                                    </div>
                                    <div class="row">
                                      <div class="col-md-4 col-md-offset-4">
                                        <div class="form-group">
                                          <button type="submit" class="btn btn-success btn-block" id="enviar_tr">Enviar</button>
                                        </div>
                                      </div>
                                    </div>
                                  </div>
                                  <div class="modal-footer">
                                    <div class="row">
                                      <div class="col-md-2 col-md-offset-10">

                                         <button type="button" class="btn btn-danger" data-dismiss="modal">Cerrar</button>
                                      </div>
                                    </div>
                                  </div>

                                </div><!-- /.modal-content -->
                              </div><!-- /.modal-dialog -->
                          </div><!-- /.modal -->
                        <div id="modalrecibo" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                              <div class="modal-dialog">
                                <div class="modal-content">
                                  <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                    <h4 class="modal-title" id="myModalLabel">Detalles</h4>
                                  </div>
                                   <div class="modal-body">
                                    <div  id="platillaI" style="font-family:'arial', Monaco, monospace;font-size:18px;">
                                      <table>
                                         <tr style="border: 1px solid #000">
                                          <td width="15%"></td>
                                          <td><h4>SOLICITUD TRANSFERENCIA</h4></td>
                                          <td nowrap width="14%"></td>
                                        </tr>
                                      </table>  
                                      <table>
                                         <tr>
                                          <td nowrap style="text-align: left;"><h4 id="nror"></h4> </td>
                                          <td nowrap style="padding-left: 150px"><h4 id="idST"></h4> </td>
                                          <td nowrap style="padding-right:10px"></td>
                                        </tr>
                                        <tr>
                                          <td nowrap>FECHA:  </td>
                                          <td nowrap style="padding-left: 20px"><span id="fechaRecibo"></span></td>
                                          <td nowrap></td>
                                        </tr>
                                        
                                       
                                      </table>
                                      
                                      <table>
                                        <tr>
                                          <td nowrap>PROCEDENCIA:</td>
                                          <td style="padding-left: 20px"> <h4 id="oficinaRecibo"><h4></td>
                                          <td nowrap></td>
                                        </tr>
                                      </table>

                                      <table>
                                        <tr>
                                          <td nowrap>DESTINO:</td>
                                          <td style="padding-left: 15px"><h4 id="oficinaDestino"><h4></td>
                                          <td nowrap></td>
                                        </tr>
                                         <tr>
                                          <td nowrap style="padding-bottom: 18px;">SOLICITANTE:</td>
                                          <td nowrap style="padding-left: 15px;white-space: pre;"><span id="soli"></span></td>
                                          <td nowrap></td>
                                        </tr>
                                         <tr>
                                          <td nowrap style="padding-bottom: 18px;">BENEFICIADO:</td>
                                          <td nowrap style="padding-left: 15px;white-space: pre;"><span id="bene"></span></td>
                                          <td nowrap></td>
                                        </tr>
                                      </table>

                                       <table>
                                        <tr>
                                          <td nowrap><h3><b>IMPORTE:</b></h3></td>
                                          <td nowrap></td>
                                          <td nowrap></td>
                                        </tr>
                                         <tr>
                                          <td nowrap style="padding-left: 5px">MONTO:</td>
                                          <td nowrap style="padding-left: 20px"></td>
                                          <td nowrap><h4 id="monto_tr"></h4></td>
                                        </tr>
                                         <tr>
                                          <td nowrap style="padding-left: 5px">COMISIÓN:</td>
                                          <td nowrap style="padding-left: 20px"></td>
                                          <td nowrap><h4 id="comi_tr"></h4></td>
                                        </tr>
                                         <tr>
                                          <td nowrap style="padding-left: 5px">OTROS:</td>
                                          <td nowrap style="padding-left: 20px"></td>
                                          <td nowrap><h4 id="otros_tr"></h4></td>
                                        </tr>
                                         <tr>
                                          <td nowrap><h3><b>IMPORTE TOTAL:</b></h3></td>
                                          <td nowrap></td>
                                          <td nowrap><h3><b id="importe"></b></h3></td>
                                        </tr>
                                      </table>
                                      <table>
                                        <tr>
                                          <td nowrap>OBSERVACIONES:</td>
                                          <td style="padding-left: 20px" id="reciboObs"></td>
                                          <td nowrap></td>
                                        </tr> 
                                      </table>
                                      <br></br>
                                      <table>
                                        <tr>
                                          <td nowrap>____________________</td>
                                          <td style="padding-left: 20px"></td>
                                          <td nowrap>____________________</td>
                                        </tr> 
                                         <tr>
                                          <td nowrap>OP. {{ nombre_usuario }}</td>
                                          <td style="padding-left: 20px"></td>
                                          <td nowrap id="soli1"></td>
                                        </tr> 
                                       
                                      </table>
                                       <br></br>
                                      <table>
                                        <tr>
                                          <td width="20%">Contáctenos :</td>
                                          <td width="80%" style="text-align: left;padding-left: 10px;">{{ ObsOficina }}</td>
                                          <!--<td>{{ ObsOficina }}</td>-->
                                        </tr>
                                      </table>      
                                    </div>
                                  </div>
                                  <!--<div class="modal-body">
                                    <div  id="platillaI" style="font-family:'Lucida Console', Monaco, monospace;font-size:13px;">
                                      
                                      <h5 align="center"><b>SOLICITUD DE TRANSFERENCIA</b></h5>
                                      <table>
                                        <tr nowrap>=======================================</tr>
                                      </table>
                                      <table>
                                        <tr>
                                          <td nowrap> <h5 id="fechaRecibo"></h5></td>
                                          <td style="padding-top:10px;"><div style="width:30px;height:20px;"> </div></td>
                                          <td nowrap><h5 id="horaRecibo"></h5></td>
                                        </tr>
                                      </table>
                                      <table>
                                        <tr>
                                          <td id="oficinaRecibo" style="width:100px;"></td>
                                          <td style="padding-top:-10px;"><div style="width:40px;"> </div></td>
                                          <td style="width:60px; text-align:right;">Nº<span id="nror"></span></td>
                                        </tr>
                                      </table> 
                                      <table>
                                        <tr>
                                          <td  valign="top" style="padding-top:10px;"><b>Of. Destino:</b></td>
                                          <td style="padding-top:10px;"><div style="width:20px;height:20px;"> </div></td>
                                          <td id="oficinaDestino" style="padding-top:10px;" ></td>
                                        </tr>
                                        <tr >
                                          <td  valign="top" style="padding-top:10px;"><b>Beneficiado:</b></td>
                                          <td style="padding-top:10px;"><div style="width:20px;"> </div></td>
                                          <td id="bene" style="padding-top:10px;"></td>
                                        </tr>
                                        <tr>
                                          <td  valign="top" style="padding-top:10px;"><b>Solicitante:</b></td> 
                                          <td style="padding-top:10px;"><div style="width:20px;height:15px;"> </div></td>
                                          <td id="soli" style="padding-top:10px;"></td>
                                        </tr>
                                      </table>
                                      <br> 
                                      <b>IMPORTE:</b>
                                      <table>
                                        <tr>
                                          <td>Monto:</td>
                                          <td ><div style="width:40px;"> </div></td>
                                          <td id="monto_tr" style="text-align:right;"></td>
                                        </tr>
                                        <tr>
                                          <td>Comisión</td>
                                          <td ><div style="width:40px;"> </div></td>
                                          <td id="comi_tr" style="text-align:right;"></td>
                                        </tr>
                                        <tr>
                                          <td>Otros:</td>
                                          <td ><div style="width:40px;"> </div></td>
                                          <td id="otros_tr" style="text-align:right;"></td>
                                        </tr>
                                      </table> 
                                      <br>
                                      <b>IMPORTE TOTAL:</b>
                                      <h4 id="importe"></h4>
                                      <table>
                                        <tr>
                                          <td><b>Observaciones:</b></td>
                                        </tr>
                                        <tr>
                                          <td id="reciboObs"></td>
                                        </tr>
                                        <tr>
                                          <td><b>Otros detalle:</b>
                                          </td>
                                        </tr>
                                        <tr>
                                          <td id="reciboDet"></td>
                                        </tr>
                                      </table>
                                      <table>
                                        <tr>
                                          <td><div style="height:30px;"> </div></td>
                                        </tr>
                                        <tr>
                                          <td>____________________</td>
                                        </tr>
                                        <tr>
                                          <td nowrap><h5><b>OP. {{ nombre_usuario }}</b></h5></td>
                                        </tr>
                                        <tr>
                                          <td><div style="height:35px;"> </div></td>
                                        </tr>
                                        <tr>
                                          <td>____________________</td>
                                        </tr>
                                        <tr>
                                          <td nowrap><b><span id="soli1"></span></b></td>
                                        </tr>
                                        
                                      </table>
                                      
                                    </div>
                                  </div>-->
                                  <div class="modal-footer">
                                    <hr>
                                    <button type="button" class="btn btn-primary" data-dismiss="modal">Cerrar</button>
                                  </div>

                                </div><!-- /.modal-content -->
                              </div><!-- /.modal-dialog -->
                          </div><!-- /.modal -->
                                
                    <div id="modalCodAut" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                          <div class="modal-dialog modal-sm">
                            <div class="modal-content">
                              <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                <h4 class="modal-title" id="myModalLabel">Codigo de Autorizacion</h4>
                              </div>
                              <div class="modal-body">
                                <div class="row alert alert-warning" id="area_transfExpi">
                                  <div class="row">
                                    <div class="col-md-12" align="left">
                                      <p>Si desea editar la comision. Por favor ingrese el codigo de autorizacion, en caso que no tenga, haga click en la opcion <b>Solicitar Codigo</b></p>
                                    </div>
                                  </div>
                                  <p></p>
                                  <div class="row">
                                    <div class="col-md-6 col-md-offset-6">
                                      <button type="button" class="btn btn-success btn-block btn-xs"id="solCod">Solicitar Codigo</button>
                                    </div>
                                  </div>
                                  <br>
                                  <div class="row">
                                    <div class="col-md-4" align="right"> 
                                      <h5><b>CODIGO: </b></h5>
                                    </div>
                                    <div class="col-md-8">
                                      <input type="text" class="form-control" placeholder="Ingrese el codigo de autorizacion" id="txtCodA">
                                    </div>
                                  </div>
                                  <br>
                                  <div class="row">
                                    <div class="col-md-8 col-md-offset-2">
                                      <button type="button" class="btn btn-primary btn-block"id="verificar">Verificar Codigo</button>
                                    </div>
                                  </div>

                                </div>
                              </div>
                              <div class="modal-footer">
                                <button type="button" class="btn btn-danger" data-dismiss="modal">Cerrar</button>
                              </div>

                            </div><!-- /.modal-content -->
                          </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->
                    

                </div>
              </div>
          </div>
          </div>
        <div class="row">
          <div class="col-md-12">
              <div class="table-responsive">
                <table class="table table-striped">
                    <thead>
                       <tr>
                          <th>Beneficiado</th>
                          <th>Monto</th>
                          <th>Remitente</th>
                          <th>Fecha</th>
                          <th>Origen</th>
                          <th>Destino</th>
                          <th>S/T</th>
                          <th>Comision</th>
                          <th>C. Bancos</th>
                          <th>Moneda</th>
                          <th>Estado</th>
                        </tr>
                    </thead>
                    <tbody id="listaTransf">
                      
                    </tbody>
                </table>
              </div>
          </div>
        </div>
      </form>

    <script type="text/javascript">

          var urlAutocompleteCliente='';
          {% ifequal OfCentral 'si' %}
            urlAutocompleteCliente='/clientes_autocompletado_user_ajax/';
          {% else %}
            urlAutocompleteCliente='/clientes_autocompletado_user_caja_ajax/';
          {% endifequal %}

          var Aux="";
          var filaI =0;
          var AuxC="";
          var dialog="";
          
          var idB="";
          var idS=""; 

          var bnd= false;
          var flagComision=0;
          var flagKeyUp=0;

          $(document).ready(function () {

             ajax_Transferencias();
            {% ifnotequal resultado '' %}
            {% ifequal resultado 'exito' %}
                    var mr;
                  var fechaRecibo= '{{fechaRecibo}}'
                  var horaRecibo='{{horaRecibo}}'
                  //var nombreRecibo='{{nombreRecibo}}'
                  var montoRecibo='{{montoRecibo}}'
                  var monedaRecibo='{{monedaRecibo}}'
                  //var conceptoDetalleRecibo='{{conceptoDetalleRecibo}}'
                  var usuario='{{user.username}}'
                  //var dniRecibo='{{dniRecibo}}'
                  var oficinaRecibo='{{oficinaRecibo}}'
                  var ofiDestino='{{oficinadestino}}'
                  var ofiDesDir='{{direccionofi}}'
                  var numeror='{{nrorecibo}}'
                  var idST='{{idST}}'
                  var solicitante='{{soli}}'
                  var soliAp='{{soliAp}}'
                  var beneficiado='{{bene}}'
                  var beneAp='{{beneAp}}'
                  var comi='{{comisionRecibo}}'
                  var capi='{{capitalRecibo}}'
                  var otros='{{otrosRecibo}}'
                  var recibo_obs='{{recibo_obs}}'
                  var recibo_det='{{recibo_det}}'
                  //$("#recibi").text(nombreRecibo);
                  if(monedaRecibo=="soles")
                  {
                    mr="S/. "
                  }
                  else
                  {
                    mr="$/. "
                  }
                  //$("#pldet").html("Monto:"+mr+capi+"<br>Comision: "+mr+comi+"<br> Otros:"+mr+otros);
                  $("#monto_tr").text(mr+capi);
                  $("#comi_tr").text(mr+comi);
                  $("#otros_tr").text(mr+otros);
                  $("#oficinaRecibo").text(oficinaRecibo);
                  $("#horaRecibo").text("Hora: "+horaRecibo);
                  $("#fechaRecibo").text("Fecha: "+fechaRecibo);
                  $("#importe").text(mr+montoRecibo);
                  //$("#concepto").text(conceptoDetalleRecibo);
                  $("#usuario").text(usuario);
                  $("#nror").text(numeror);
                  $("#idST").text("ST: "+idST);
                  $("#bene").text(beneficiado+"\n"+beneAp);
                  $("#soli").text(solicitante+"\n"+soliAp);
                  $("#oficinaDestino").text(ofiDestino);
                  $("#reciboObs").text(recibo_obs);
                  $("#reciboDet").text(recibo_det);
                  //$("#oficinaDir").text(ofiDesDir);
                  $("#soli1").text(solicitante+"\n"+soliAp);
                  $("#platillaI").printThis();
                  
          {% endifequal %}
          {% endifnotequal %}
            $('input').on('keypress', function(e){
              if(e.keyCode == 13)
              {
                      var inputs = $(this).parents("form").eq(0).find(":input.form-control");
                      var idx = inputs.index($(this));

                      if (idx == inputs.length - 1) {
                          inputs[0].select()
                      } else {
                          inputs[idx + 1].focus(); //  handles submit buttons
                         //inputs[idx + 1].select();
                      }
                      return false;
              }
          });
          
           $(".mayuscula").keyup(function(){
              var valor= $(this).val().toUpperCase();
              $(this).prop('value',valor);
            });

          
           
          /*

          $("#Cmoneda").change(function(){
             if( $("#Cmoneda").val()=='soles'){
                if($("#valorCHB").val()=="no"){
                  $("#grupoC").removeClass();
                  $("#grupoS").removeClass();
                  $("#grupoB").removeClass();
                  $("#grupoC").attr( "class","card-head card-head-xs style-info");
                  $("#grupoS").attr( "class","card-head card-head-xs style-info");
                  $("#grupoB").attr( "class","card-head card-head-xs style-info");
                }
              }
              else{
                if($("#valorCHB").val()=="no"){
                  $("#grupoC").removeClass();
                  $("#grupoS").removeClass();
                  $("#grupoB").removeClass();
                  $("#grupoC").attr( "class","card-head card-head-xs style-success");
                  $("#grupoS").attr( "class","card-head card-head-xs style-success");
                  $("#grupoB").attr( "class","card-head card-head-xs style-success");
                }
              }
          });
          */
          /*


           $(".chbOfDNIMenor").click(function(){ 

                if ($(this).find('input[type="checkbox"]').is(':checked')) {
                  $("#valorCHB").val("no");
                   if( $("#Cmoneda").val()=='soles'){
                      $("#grupoC").removeClass();
                      $("#grupoS").removeClass();
                      $("#grupoB").removeClass();
                      $("#grupoC").attr( "class","card-head card-head-xs style-info");
                      $("#grupoS").attr( "class","card-head card-head-xs style-info");
                      $("#grupoB").attr( "class","card-head card-head-xs style-info");
                    }
                    else{

                      $("#grupoC").removeClass();
                      $("#grupoS").removeClass();
                      $("#grupoB").removeClass();
                      $("#grupoC").attr( "class","card-head card-head-xs style-success");
                      $("#grupoS").attr( "class","card-head card-head-xs style-success");
                      $("#grupoB").attr( "class","card-head card-head-xs style-success");
       
                    }
                  
                }else{
                  $("#valorCHB").val("si");
                  $("#grupoC").removeClass();
                  $("#grupoS").removeClass();
                  $("#grupoB").removeClass();
                  $("#grupoC").attr( "class","card-head card-head-xs style-warning");
                  $("#grupoS").attr( "class","card-head card-head-xs style-warning");
                  $("#grupoB").attr( "class","card-head card-head-xs style-warning");
                }
            }); 
            */

            
           function consultaB(){
            var tecactusApi = new TecactusApi("eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsImp0aSI6ImMzZDhiZDI3MTI2NDIyNTkzODc4ZGEwOWZkZTQ1OGFlMDE4MzcxNDRkYjZlNzJlODU1ZTcwZWM5ODAyM2Q2MGQ5ZTcyODZjOTA1ODlkMzlmIn0.eyJhdWQiOiIxIiwianRpIjoiYzNkOGJkMjcxMjY0MjI1OTM4NzhkYTA5ZmRlNDU4YWUwMTgzNzE0NGRiNmU3MmU4NTVlNzBlYzk4MDIzZDYwZDllNzI4NmM5MDU4OWQzOWYiLCJpYXQiOjE0OTQyMTg0NjksIm5iZiI6MTQ5NDIxODQ2OSwiZXhwIjoxODA5NzUxMjY5LCJzdWIiOiIyNTYiLCJzY29wZXMiOlsidXNlLXJlbmllYyIsInVzZS1zdW5hdCJdfQ.iBb4lCGx-WKSYGvvNji7_Ys7umBux8KXjVFSPn7D05JB9-zNi1pXLNCASbKABs9zBKVEhddzN1RFW4UIjCtWne4r0ltrJUz_rSe5kmdt8vLzRReKvZiUFxFc9JcERTg4pp7Yi7Qx06CASPCKd4NgMqz35ucUuJOh9h5C8dup7XJttI0jX5BAbiuXMKwG7QH8zGxdx-7CEkxMhigsv-Wm7S1jOl-JLJT2iDLPOQ-VslrV0HoL-gt_k_rNPtaNPWU0tIjrG9Wr_2_-jgtV8OYJJqxvtvzi2uKyovpFRZjFJh_gxwKx-mnc6ioMmxS4MHtNKF1GhcHvLHwVSw2Lm2V7Q46v3hb5_ePGRSJ5FocJJ4RqPihULeGGFgrnPp1GLQXOoxYRVj_IjcXbFywQMR8p6xf8xkeGA8v0rCIJBaUXXD4prSHT-qfK5CI3uU1f294s5uz497975QZqVTegDl7sUcJKrEvLrOEm1dEaNIi-j90ZLaqHOYhgY3aciJU_JTwtQ7f5t_Zv-BomazKNwGxe180kmHyLrsCpz9phyZeh_PgPaEPNa0M3hWMDj8Mszo8uQ3ktvU1Zqnzwn_sgyfvqUFIeM4kfoX8_-IrkEjcD9Q7jal4UwLQV5idGxPoSxt8jFpnvwAdN6wbWe7XzRixAm-djmQqdVIn8HZUSBOTIx6k");

                  if( $('input[name=TipoPersonaB]:checked').val()=="Natural"){ 
                    tecactusApi.Reniec.getDni($("#txtDNIB").val())
                    .then(function (response) {
                      console.log("consulta correcta!")
                      console.log(response.data);
                        $("#txtNombreB").val(response.data.nombres);
                        $("#txtAPB").val(response.data.apellido_paterno);
                        $("#txtAMB").val(response.data.apellido_materno);
                        
                        $('#CampoBen').waitMe('hide');
                        $("#txtDNIB").prop("readonly",true);
                        $("#txtNombreB").prop("readonly",true);
                        $("#txtAPB").prop("readonly",true); 
                        $("#txtAMB").prop("readonly",true);  
                    })
                    .catch(function (response) {
                      //console.log("algo ocurrió")
                      //console.log("código de error: " + response.code)
                      //console.log("mensaje de respuesta: " + response.status)
                      bootbox.alert(response.data);
                      $("#txtDNIB").prop("readonly",false);
                      $("#txtNombreB").prop("readonly",false);
                      $("#txtAPB").prop("readonly",false); 
                      $("#txtAMB").prop("readonly",false);
                      $('#CampoBen').waitMe('hide'); 
                    })
                  }else{
                    if($("#txtDNIB").val().length==8){ 
                      tecactusApi.Sunat.getByDni($("#txtDNIB").val())
                      .then(function (response) {
                        console.log("consulta correcta!")
                        console.log(response.data);
                        if(response.data.indexOf("válido")==-1){
                          bootbox.alert(response.data);
                        }
                        $("#txtNombreB").val(response.data.razon_social);
                        $("#txtDNIB").prop("readonly",true);
                        $("#txtNombreB").prop("readonly",true);
                        $('#CampoBen').waitMe('hide');  
                      })
                      .catch(function (response) {
                        console.log("algo ocurrió")
                        console.log("código de error: " + response.code)
                        console.log("mensaje de respuesta: " + response.status)
                        
                        bootbox.alert(response.data);
                        $("#txtDNIB").prop("readonly",false);
                        $("#txtNombreB").prop("readonly",false);
                        $("#txtAPB").prop("readonly",false); 
                        $("#txtAMB").prop("readonly",false);
                        $('#CampoBen').waitMe('hide'); 
                      })
                    }else{
                      tecactusApi.Sunat.getByRuc($("#txtDNIB").val())
                      .then(function (response) {
                        console.log("consulta correcta!")
                        console.log(response.data)
                        if(response.data.indexOf("válido")==-1){
                          bootbox.alert(response.data);
                        }
                        $("#txtNombreB").val(response.data.razon_social);
                        $("#txtDNIB").prop("readonly",true);
                        $("#txtNombreB").prop("readonly",true); 
                        $('#CampoBen').waitMe('hide');  
                      })
                      .catch(function (response) {
                        console.log("algo ocurrió")
                        console.log("código de error: " + response.code)
                        console.log("mensaje de respuesta: " + response.status)
                        bootbox.alert(response.data);
                        $("#txtDNIB").prop("readonly",false);
                        $("#txtNombreB").prop("readonly",false);
                        $("#txtAPB").prop("readonly",false); 
                        $("#txtAMB").prop("readonly",false);
                        $('#CampoBen').waitMe('hide');  
                      })
                    }
                  }
          }


          function consulta(){
            var tecactusApi = new TecactusApi("eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsImp0aSI6ImMzZDhiZDI3MTI2NDIyNTkzODc4ZGEwOWZkZTQ1OGFlMDE4MzcxNDRkYjZlNzJlODU1ZTcwZWM5ODAyM2Q2MGQ5ZTcyODZjOTA1ODlkMzlmIn0.eyJhdWQiOiIxIiwianRpIjoiYzNkOGJkMjcxMjY0MjI1OTM4NzhkYTA5ZmRlNDU4YWUwMTgzNzE0NGRiNmU3MmU4NTVlNzBlYzk4MDIzZDYwZDllNzI4NmM5MDU4OWQzOWYiLCJpYXQiOjE0OTQyMTg0NjksIm5iZiI6MTQ5NDIxODQ2OSwiZXhwIjoxODA5NzUxMjY5LCJzdWIiOiIyNTYiLCJzY29wZXMiOlsidXNlLXJlbmllYyIsInVzZS1zdW5hdCJdfQ.iBb4lCGx-WKSYGvvNji7_Ys7umBux8KXjVFSPn7D05JB9-zNi1pXLNCASbKABs9zBKVEhddzN1RFW4UIjCtWne4r0ltrJUz_rSe5kmdt8vLzRReKvZiUFxFc9JcERTg4pp7Yi7Qx06CASPCKd4NgMqz35ucUuJOh9h5C8dup7XJttI0jX5BAbiuXMKwG7QH8zGxdx-7CEkxMhigsv-Wm7S1jOl-JLJT2iDLPOQ-VslrV0HoL-gt_k_rNPtaNPWU0tIjrG9Wr_2_-jgtV8OYJJqxvtvzi2uKyovpFRZjFJh_gxwKx-mnc6ioMmxS4MHtNKF1GhcHvLHwVSw2Lm2V7Q46v3hb5_ePGRSJ5FocJJ4RqPihULeGGFgrnPp1GLQXOoxYRVj_IjcXbFywQMR8p6xf8xkeGA8v0rCIJBaUXXD4prSHT-qfK5CI3uU1f294s5uz497975QZqVTegDl7sUcJKrEvLrOEm1dEaNIi-j90ZLaqHOYhgY3aciJU_JTwtQ7f5t_Zv-BomazKNwGxe180kmHyLrsCpz9phyZeh_PgPaEPNa0M3hWMDj8Mszo8uQ3ktvU1Zqnzwn_sgyfvqUFIeM4kfoX8_-IrkEjcD9Q7jal4UwLQV5idGxPoSxt8jFpnvwAdN6wbWe7XzRixAm-djmQqdVIn8HZUSBOTIx6k");

                  if( $('input[name=TipoPersona]:checked').val()=="Natural"){ 
                    tecactusApi.Reniec.getDni($("#txtDNI").val())
                    .then(function (response) {
                      console.log("consulta correcta!")
                        $("#txtNombre").val(response.data.nombres);
                        $("#txtAP").val(response.data.apellido_paterno);
                        $("#txtAM").val(response.data.apellido_materno);
                        
                        $('#CampoSol').waitMe('hide');
                        $("#txtDNI").prop("readonly",true);
                        $("#txtNombre").prop("readonly",true);
                        $("#txtAP").prop("readonly",true); 
                        $("#txtAM").prop("readonly",true);  
                    })
                    .catch(function (response) {
                      console.log("algo ocurrió")
                      console.log("código de error: " + response.code)
                      console.log("mensaje de respuesta: " + response.status)
                      bootbox.alert(response.data);
                      $("#txtDNI").prop("readonly",false);
                      $("#txtNombre").prop("readonly",false);
                      $("#txtAP").prop("readonly",false); 
                      $("#txtAM").prop("readonly",false);
                      $('#CampoSol').waitMe('hide'); 
                    })
                  }else{
                    if($("#txtDNI").val().length==8){ 
                      tecactusApi.Sunat.getByDni($("#txtDNI").val())
                      .then(function (response) {
                        console.log("consulta correcta!")
                        console.log(response.data);
                        if(response.data.indexOf("válido")==-1){
                          bootbox.alert(response.data);
                        }
                        $("#txtNombre").val(response.data.razon_social);
                        $("#txtDNI").prop("readonly",true);
                        $("#txtNombre").prop("readonly",true); 
                        $('#CampoSol').waitMe('hide');  
                      })
                      .catch(function (response) {
                        console.log("algo ocurrió")
                        console.log("código de error: " + response.code)
                        console.log("mensaje de respuesta: " + response.status)
                        
                        bootbox.alert(response.data);
                        $("#txtDNI").prop("readonly",false);
                        $("#txtNombre").prop("readonly",false);
                        $("#txtAP").prop("readonly",false); 
                        $("#txtAM").prop("readonly",false);
                        $('#CampoSol').waitMe('hide'); 
                      })
                    }else{
                      tecactusApi.Sunat.getByRuc($("#txtDNI").val())
                      .then(function (response) {
                        console.log("consulta correcta!")
                        console.log(response.data)
                        if(response.data.indexOf("válido")==-1){
                          bootbox.alert(response.data);
                        }
                        $("#txtNombre").val(response.data.razon_social);
                        $("#txtDNI").prop("readonly",true);
                        $("#txtNombre").prop("readonly",true); 
                        $('#CampoSol').waitMe('hide');  
                      })
                      .catch(function (response) {
                        console.log("algo ocurrió")
                        console.log("código de error: " + response.code)
                        console.log("mensaje de respuesta: " + response.status)
                        bootbox.alert(response.data);
                        $("#txtDNI").prop("readonly",false);
                        $("#txtNombre").prop("readonly",false);
                        $("#txtAP").prop("readonly",false); 
                        $("#txtAM").prop("readonly",false);
                        $('#CampoSol').waitMe('hide');  
                      })
                    }
                  }
             
          }

           $("input[name=TipoPersonaB]").change(function(){

              idB="";
              $("#IdBeneficiado").val("");
              $("#txtDNIB").prop("readonly",false);
              $("#txtAPB").prop("readonly",false);
              $("#txtAMB").prop("readonly",false);
              $("#txtNombreB").prop("readonly",false);
              $("#txtDNIB").val("");
              $("#txtAPB").val("");
              $("#txtAMB").val("");
              $("#txtNombreB").val("");
              if($(this).val()=="Natural"){
                  $("#dniRUCB").text("DNI");
                  $("#nombreRazonB").text("Nombres");
                  $("#campoApB").show();
                  $("#campoAmB").show();
                   document.getElementById("txtAPB").required = true;
                  document.getElementById("txtAMB").required = true;
              }
              else{
                  $("#dniRUCB").text("RUC");
                  $("#nombreRazonB").text("Razón Social");
                  $("#campoApB").hide();
                  $("#campoAmB").hide();
                  document.getElementById("txtAPB").required = false;
                  document.getElementById("txtAMB").required = false;
              }
          });

            $("input[name=TipoPersona]").change(function(){
              idS="";
              $("#IdCliente").val(""); 
              if($(this).val()=="Natural"){
                  $("#dniRUC").text("DNI");
                  $("#nombreRazon").text("Nombres");
                  $("#campoAp").show();
                  $("#campoAm").show();
              }
              else{
                  $("#dniRUC").text("RUC");
                  $("#nombreRazon").text("Razón Social");
                  $("#campoAp").hide();
                  $("#campoAm").hide();
              }
          });

  
          
          ajax_oficina();
          /*
          $("#ComboOficina").focus(function(){
            ajax_oficina();
          });*/
          //otra funcion
          function ajax_oficina(){
            $.ajax({
              //url:'/oficinas_version2_ajax/',
              url:'/oficinas_version2_ci_ajax/',
              type:'GET',
              dataType:'json',
              success: function(data){
              var html ="";
                $("#ComboOficina").html('');
                for(var i=0;i<data.length;i++){
                  if(data[i].bx == 'si'){
                    html += '<option value="'+data[i].pk+'" style="background-color: #FFA;color: #000;">'+data[i].nombre_oficina+'</option>';
                  }
                  else{
                    html += '<option value="'+data[i].pk+'">'+data[i].nombre_oficina+'</option>';
                  }
                }
                $('#ComboOficina').html(html);
                 ajax_Comi_por_ofi_des();
                $('#ComboOficina').selectize();
              }
            });
          };
          //
          $("#solAutCo").hide();
          $("#ComboOficina").change(function(){
            ajax_Comi_por_ofi_des();
            bnd=false;
            $("#txtCantidad").prop('value',null);
            $("#txtComicion").prop('value',null);
            $("#txtComicion").prop('readonly',false);
            $("#solAutCo").hide();
          });
          $("#ComboOficina1").change(function(){
            ajax_Comi_por_ofi_des();
            bnd=false;
            $("#txtCantidad").prop('value',null);
            $("#txtComicion").prop('value',null);
            $("#txtComicion").prop('readonly',false);
            $("#solAutCo").hide();
          });
          ajax_oficina_ori();
           function ajax_oficina_ori(){
            $.ajax({
              url:'/bases_por_oficina_view/',
              type:'GET',
              dataType:'json',
              success: function(data){
              var html ="";
                $("#ComboOficina1").html('');
                for(var i=0;i<data.length;i++){
                    html += '<option value="'+data[i].pk+'">'+data[i].nombre+'</option>';
                }
                $('#ComboOficina1').html(html);
              }
            });
          };
          //
         
         
         // poner comas alos numeros
         function poner_coma(numero){
          var cadena= numero;
          n= cadena.length;
          var r='';
          var p=n;
          var up=0,p1='',p2='';
          while(p>3){
            p=p-3;
            p1=cadena.substring(0,p);
            p2=cadena.substring(p);
            r=','+p2+r;
            cadena=p1;
            console.log(p1);
            console.log(p2);
          }
          return(cadena+r);
         }
         //
         function normalizar(numero){
            var cadena=numero.toString();
            var parte='',num='',dec='00';
            if (cadena.indexOf('.')!=-1){
              parte=cadena.split('.');
              num=parte[0];
              dec=parte[1];
            }
            else{
              num=cadena;
            }
            var cade= poner_coma(num);
            return (cade+'.'+dec);
          }
          //
          function leer_3_cifreas(numero){
            var aux= "000"+numero.toString();
            var num=aux.substring(aux.length-3);
            if(num=='000'){
              return '';
            }
            else{
              var cen='';
              switch (num.charAt(0)) {
                  case '1':
                      if (num.charAt(1)!='0' || num.charAt()!='0'){
                        cen='Ciento ';
                      }
                      else{
                        cen='Cien';
                      }
                      break;
                  case '2':
                      cen='Docientos ';
                      break;
                  case '3':
                      cen='Trescientos ';
                      break;
                  case '4':
                      cen = "Cuatrocientos ";
                      break;
                  case '5':
                      cen = "Quinientos ";
                      break;
                  case  '6':
                      cen = "Seiscientos ";
                      break;
                  case '7':
                      cen = "Setecientos ";
                      break;
                  case '8':
                      cen = "Ochocientos ";
                      break;
                  case '9':
                      cen = "Novecientos ";
                      break;
              }//end switch
              var dec='';
              switch (num.charAt(1)) {
                  case '1':
                      switch (num.charAt(2)) {
                          case '0':
                              dec='Diez';
                              break;
                          case '1':
                              dec='Once';
                              break;
                          case '2':
                              dec='Doce';
                              break;
                          case '3':
                              dec = "Trece";
                              break;
                          case '4':
                              dec = "Catorce";
                              break;
                          case  '5':
                              dec = "Quince";
                              break;
                          default:
                              dec='Dieci';
                      }//end switch
                      break;
                  case '2':
                      if (num.charAt(2)=='0'){
                        dec='Veinte';
                      }
                      else{
                        dec='Veinti';
                      }
                      break;
                  case '3':
                      if (num.charAt(2)=='0'){
                        dec='Treinta';
                      }
                      else{
                        dec='Treinta y ';
                      }
                      break;
                  case '4':
                      if (num.charAt(2)=='0'){
                        dec='Cuarenta';
                      }
                      else{
                        dec='Cuarenta y ';
                      }
                      break;
                  case '5':
                      if (num.charAt(2)=='0'){
                        dec='Cincuenta';
                      }
                      else{
                        dec='Cincuenta y ';
                      }
                      break;
                  case  '6':
                      if (num.charAt(2)=='0'){
                        dec='Sesenta';
                      }
                      else{
                        dec='Sesenta y ';
                      }
                      break;
                  case '7':
                      if (num.charAt(2)=='0'){
                        dec='Setenta';
                      }
                      else{
                        dec='Setenta y ';
                      }
                      break;
                  case '8':
                      if (num.charAt(2)=='0'){
                        dec='Ochenta';
                      }
                      else{
                        dec='Ochenta y ';
                      }
                      break;
                  case '9':
                      if (num.charAt(2)=='0'){
                        dec='Noventa';
                      }
                      else{
                        dec='Noventa y ';
                      }
                      break;
              }//end switch
              var uni='';
              if (num.charAt(1)=='1' && (num.charAt(2)=='0' ||num.charAt(2)=='1' ||num.charAt(2)=='2' ||num.charAt(2)=='3' ||num.charAt(2)=='4' ||num.charAt(2)=='5')){
                uni=''
              }
              else{
                switch (num.charAt(2)) {
                    case '1':
                        uni='Uno'
                        break;
                    case '2':
                        uni='Dos';
                        break;
                    case '3':
                        uni='Tres';
                        break;
                    case '4':
                        uni = "Cuatro";
                        break;
                    case '5':
                        uni = "Cinco";
                        break;
                    case  '6':
                        uni = "Seis";
                        break;
                    case '7':
                        uni = "Siete";
                        break;
                    case '8':
                        uni = "Ocho";
                        break;
                    case '9':
                        uni = "Nueve";
                        break;
                }//end switch
              }
              return (cen+dec+uni);
            }//end else

          }

          function leer_complet(numero1){
            var numero=numero1.toString();
            var cadena='';
            if(numero.indexOf('.')!=-1){
              var aux= numero.split('.');
              numero= aux[0];
            }
            cadena= "000000000"+numero;
            var cen='';
            var mil='';
            var millon='';
            var p= cadena.length;
            if(cadena.substring(p-3)!="000"){
              cen=leer_3_cifreas(cadena.substring(p-3));
            }
            if (cadena.substring(p-6,p-3)!="000"){
                if (cadena.substring(p-6,p-3)=="001"){
                  mil=' Mil ';
                }
                else{
                  mil=leer_3_cifreas(cadena.substring(p-6,p-3))+' Mil ';
                }
                
              }
              if(cadena.charAt(p-7)!='0'){
                  millon=numero.substring(0,numero.length-6)+' Millon '
                }
            return (millon+mil+cen);
          }
       
         //
         $("#enviar_transferencia").click(function(){
          $("#resp_en").prop('class'," ");
          $("#resp_en").html(" ");
          $("#formulario").validator('validate');
          var mn='s/.'
          if ($("#Cmoneda option:selected").val()=='dolares'){
            mn='$'
          }
          $("#mn").text(mn);
          $("#mn1").text(mn);
          $("#mn2").text(mn);
          $("#canti_h4").text(normalizar($("#txtCantidad").val()));
          $("#comi_h4").text(normalizar($("#txtComicion").val()));
          $("#otros_h4").text(normalizar($("#txtConcepto").val()));
          $("#canti_h6").text(leer_complet($("#txtCantidad").val()));
          $("#comi_h6").text(leer_complet($("#txtComicion").val()));
          $("#otros_h6").text(leer_complet($("#txtConcepto").val()));
          $("#alerta_mone").text($("#Cmoneda option:selected").val());
          $("#alerta_mone1").text($("#Cmoneda option:selected").val());
          $("#alerta_mone2").text($("#Cmoneda option:selected").val());
          $("#text_ori").text($('select[name=OficinaOri] option:selected').text());
          $("#text_des").text($('select[name=OficinaDst] option:selected').text());
         })
          $("#enviar_tr").click(function(e){
            e.preventDefault();
            $("#enviar_tr").prop('disabled',true);
            $("#resp_en").prop('class','alert alert-warning');
            $("#resp_en").html("<h4>ENVIANDO....</h4>");

            $("#formulario").submit();
          })
         //
         //
         function ajax_Transferencias(){
            $.ajax({
              url:'/listaUltimasTransCreadas_ajax/',
              type:'GET',
              dataType:'json',
              success: function(data){
                var html ="";
                for(var i=0;i<data.length;i++){
                  html += '<tr><td>'+data[i].nombre_bnf+' '+data[i].paterno_bnf+' '+data[i].materno_bnf+'</td><td style="font-size:16px;font-weight:bold;">'+data[i].monto+'</td><td>'+data[i].nombre_rmt+' '+data[i].paterno_rmt+' '+data[i].materno_rmt+'</td><td>'+data[i].fecha+'</td><td style="color:#d43f3a;font-size:16px;font-weight:bold;">'+data[i].oficina_ori+'</td><td style="color:#2e6da4;font-size:16px;font-weight:bold;" >'+data[i].oficina_des+'</td><td>'+data[i].nroRecibo+'</td><td><b>'+data[i].comicion+'</b></td><td><b>'+data[i].monto_conceptos+'</b></td><td>'+data[i].moneda+'</td><td>'+data[i].estado+'</td></tr>';
                }
                //html+='</tbody></table>';
                $('#listaTransf').html(html);
              }
            });
          };
          //************* comisiones *********************
         function ajax_Comi_por_ofi_des(){
          $.ajax({
            data:{'idOfi':$('#ComboOficina').val(),'idOfiOri':'b'+$('#ComboOficina1').val()},
            url:'/listaConfigCo_para_ofici_ajax/',
            //async:false,
            type:'GET',
            dataType:'json',
            success: function(data){
                AuxC = data;
            }
          });
         }
         $("#txtCantidad").keyup(function(){
           flagComision=0;
           var bd=false;
           var ind=0
           var mont= parseFloat($(this).val());
            if(AuxC!=""){
              for(var i=0;i<AuxC.length;i++){
                if(AuxC[i].montomin<=mont && AuxC[i].montomax >= mont){
                  //$("#txtComicion").prop('value',AuxC[i].comision);
                  ind=i
                  bd=true;
                  //flagComision=true;
                }
              }
            }
            if(!bnd){
              if(bd){
                $("#txtComicion").prop('readonly',true);
                $("#solAutCo").show();
                if(parseFloat(AuxC[ind].comision)<1){
                  $("#txtComicion").prop('value',Math.floor(parseFloat(AuxC[ind].comision)*parseFloat(parseFloat($("#txtCantidad").val()))));
                }
                else{
                  $("#txtComicion").prop('value',AuxC[ind].comision);
                }
                
                flagComision=parseFloat(AuxC[ind].comision);
              }
              else{
                $("#txtComicion").prop('readonly',false);
                $("#txtComicion").prop('value',null);
                $("#solAutCo").hide();
              }
            }
         });


         $("#txtComicion").keyup(function(){
            flagKeyUp=$(this).val();
         });

         $("#txtComicion").change(function(){
          if(!bnd){
            var comision=parseFloat($(this).val());
            if(flagComision<1){
               if (comision<Math.floor(flagComision*parseFloat($("#txtCantidad").val()))){
                $(this).val(Math.floor(flagComision*parseFloat($("#txtCantidad").val())));
                $("#modalCodAut").modal("show");
              }
            }
            else{
              if (comision<flagComision){
                $(this).val(flagComision);
                $("#modalCodAut").modal("show");
              }
            }
            
          }
         });

         $("#solAutCo").click(function(){
          $("#txtComicion").prop('readonly',false);
         });

         //
         $("#solCod").click(function(){
          ajax_solicitudAut();
         });

         function ajax_solicitudAut(){
            $.ajax({
              data:{'idO':$("#ComboOficina").val()},
              url:'/SolAutoComisionPersonal_ajax/',
              //async:false,
              type:'GET',
              dataType:'text',
              success: function(data){
                if(data=='exito'){
                  bootbox.alert({ 
                    message: "Operación exitosa. Se solicito el codigo de autorización",
                    className: 'bb-alternate-modal'
                  });                   
                 }
                 else{
                  bootbox.alert({ 
                    message: "Error. "+data,
                    className: 'bb-alternate-modal'
                  });
                }
              }
            });
          };
         //
         $("#verificar").click(function(){
          ajax_verificarAut();
         })
         function ajax_verificarAut(){
            $.ajax({
              data:{'cod':$("#txtCodA").val(),'idO':$("#ComboOficina").val()},
              url:'/Verifi_CodAutoComi_ajax/',
              //async:false,
              type:'GET',
              dataType:'text',
              success: function(data){
                if(data=='exito'){
                  /*
                  bootbox.alert({ 
                    message: "Autotrizado",
                    className: 'bb-alternate-modal'
                  });*/
                  bnd=true;
                   $("#modalCodAut").modal("hide");
                   $("#txtComicion").prop('value',null);
                   $("#txtComicion").prop('readonly',false);
                   $("#solAutCo").hide();
                   $("#txtCodigoAu").prop('value',$("#txtCodA").val());
                 }
                 else{
                  bootbox.alert({ 
                    message: "Error. "+data,
                    className: 'bb-alternate-modal'
                  });
                  bnd=false;
                }
              }
            });
          };
          //*************************** autocompletado **************************
      //***************************** beneficiario **************************
      function datos_beneficiario(){
        return $("#txtDNIB").val()+' '+$("#txtNombreB").val()+' '+$("#txtAPB").val()+' '+$("#txtAMB").val()
      }
      function limpiar_benericiario(){
        $("#IdBeneficiado").prop('value',null);
        $("#txtDNIB").prop('value',null);
        $("#txtNombreB").prop('value',null);
        $("#txtAPB").prop('value',null);
        $("#txtAMB").prop('value',null);
      }
      function verificar_datos_bene(current,input_value){
        if (current.name == datos_beneficiario() || current.name == input_value) {
            //swal("Beneficario", datos_beneficiario(), "success");
            //$("#formulario").validator('validate');
            $("#panel_beneficiario").prop("class","panel panel-success")
            $("#cabecera_bene").text("")
            return true
          } 
          else {
            $("#IdBeneficiado").prop('value',null);
            $("#panel_beneficiario").prop("class","panel panel-warning")
            $("#cabecera_bene").text("(Nuevo Cliente)")
            //$("#txtNombreB").prop('value',null);
            //$("#txtAPB").prop('value',null);
            //$("#txtAMB").prop('value',null);
            //swal("Nuevo Cliente",datos_beneficiario(), "warning");
            //$("#formulario").validator('validate');
            //console.log($("#IdBeneficiado").val())
            //data_bene={id:-1}
            return false
          }
      }
      $("#txtDNIB").change(function() {
        var current = $("#txtDNIB").typeahead("getActive");
        if (current) {
          // Some item from your model is active!
          /*
          if (current.name == datos_beneficiario() || current.name == $("#txtDNIB").val()) {
            data_bene= current;
            $("#IdBeneficiado").prop('value',data_bene.id);
            $("#txtDNIB").prop('value',data_bene.dni);
            $("#txtNombreB").prop('value',data_bene.nombre);
            $("#txtAPB").prop('value',data_bene.ap);
            $("#txtAMB").prop('value',data_bene.am);
            swal("Beneficario", datos_beneficiario(), "success");
            $("#formulario").validator('validate');
            //console.log($("#IdBeneficiado").val())
             console.log("if 2");
          } 
          else {
            console.log(current)
            $("#IdBeneficiado").prop('value',null);
            $("#txtNombreB").prop('value',null);
            $("#txtAPB").prop('value',null);
            $("#txtAMB").prop('value',null);
            swal("Nuevo Cliente",datos_beneficiario(), "warning");
            $("#formulario").validator('validate');
             console.log("else 2");
            //console.log($("#IdBeneficiado").val())
            //data_bene={id:-1}
          }
          */
          if(verificar_datos_bene(current,$("#txtDNIB").val())){
            data_bene= current;
            $("#IdBeneficiado").prop('value',data_bene.id);
            $("#txtDNIB").prop('value',data_bene.dni);
            $("#txtNombreB").prop('value',data_bene.nombre);
            $("#txtAPB").prop('value',data_bene.ap);
            $("#txtAMB").prop('value',data_bene.am);
          }
          
          
          //console.log("if 1");
        } else {
           //swal("Alerta", "Se creara un nuevo cliente,complete los campos DNI/RUC y Direccion", "warning");
           $("#IdBeneficiado").prop('value',null);
           $("#panel_beneficiario").prop("class","panel panel-warning")
            $("#cabecera_bene").text("(Nuevo Cliente)")
            //$("#txtNombreB").prop('value',null);
            //$("#txtAPB").prop('value',null);
            //$("#txtAMB").prop('value',null);
          //swal("Nuevo Cliente", datos_beneficiario(), "warning");
          //$("#formulario").validator('validate');
          //console.log($("#IdBeneficiado").val())
          console.log("else 1");
        }
        //console.log(cliente);
        
      }); 

      var autoBeneficiario_dni= $('#txtDNIB').typeahead({
        source:  function (query, process) {
          return $.get('/listaCliente_autocompletado_dni_ajax/', { query: query }, function (data) {
                return process(data);
            },'json');
        }
      });
      //*** nombre
      $("#txtNombreB").change(function() {
        var current = $("#txtNombreB").typeahead("getActive");
        if (current) {
          // Some item from your model is active!
          if (current.name == datos_beneficiario() || current.name == $("#txtNombreB").val()) {
            data_bene= current;
            $("#IdBeneficiado").prop('value',data_bene.id);
            $("#txtDNIB").prop('value',data_bene.dni);
            $("#txtNombreB").prop('value',data_bene.nombre);
            $("#txtAPB").prop('value',data_bene.ap);
            $("#txtAMB").prop('value',data_bene.am);
            //swal("Beneficario", datos_beneficiario(), "success");
            //$("#formulario").validator('validate');
            $("#panel_beneficiario").prop("class","panel panel-success")
            $("#cabecera_bene").text("")
            //console.log($("#IdBeneficiado").val())
          } 
          else {
            $("#IdBeneficiado").prop('value',null);
            $("#panel_beneficiario").prop("class","panel panel-warning")
            $("#cabecera_bene").text("(Nuevo Cliente)")
          //$("#txtDNIB").prop('value',null);
            //swal("Nuevo Cliente",datos_beneficiario(), "warning");
            //$("#formulario").validator('validate');
            //console.log($("#IdBeneficiado").val())
            //data_bene={id:-1}
          }
        } else {
           //swal("Alerta", "Se creara un nuevo cliente,complete los campos DNI/RUC y Direccion", "warning");
           $("#IdBeneficiado").prop('value',null);
          //$("#txtDNIB").prop('value',null);
          //swal("Nuevo Cliente", datos_beneficiario(), "warning");
          //$("#formulario").validator('validate');
          //console.log($("#IdBeneficiado").val())
            $("#panel_beneficiario").prop("class","panel panel-warning")
            $("#cabecera_bene").text("(Nuevo Cliente)")
        }
        //console.log(cliente);
        
      }); 

      var autoBeneficiario_nombre= $('#txtNombreB').typeahead({
        source:  function (query, process) {
          return $.get('/listaCliente_autocompletado_nombre_ajax/', { query: query,'ap':$("#txtAPB").val(),'am':$("#txtAMB").val()}, function (data) {
                return process(data);
            },'json');
        }
      });
      // paterno
      $("#txtAPB").change(function() {
        var current = $("#txtAPB").typeahead("getActive");
        if (current) {
          // Some item from your model is active!
          if (current.name == datos_beneficiario() || current.name == $("#txtAPB").val()) {
            data_bene= current;
            $("#IdBeneficiado").prop('value',data_bene.id);
            $("#txtDNIB").prop('value',data_bene.dni);
            $("#txtNombreB").prop('value',data_bene.nombre);
            $("#txtAPB").prop('value',data_bene.ap);
            $("#txtAMB").prop('value',data_bene.am);
            $("#panel_beneficiario").prop("class","panel panel-success")
            $("#cabecera_bene").text("")
            //swal("Beneficario", datos_beneficiario(), "success");
            //$("#formulario").validator('validate');
            //console.log($("#IdBeneficiado").val())
          } 
          else {
            $("#IdBeneficiado").prop('value',null);
            $("#panel_beneficiario").prop("class","panel panel-warning")
            $("#cabecera_bene").text("Nuevo Cliente")
            //$("#txtDNIB").prop('value',null);
            //swal("Nuevo Cliente",datos_beneficiario(), "warning");
            //$("#formulario").validator('validate');
            //console.log($("#IdBeneficiado").val())
            //data_bene={id:-1}
          }
        } else {
           //swal("Alerta", "Se creara un nuevo cliente,complete los campos DNI/RUC y Direccion", "warning");
           $("#IdBeneficiado").prop('value',null);
           $("#panel_beneficiario").prop("class","panel panel-warning")
          $("#cabecera_bene").text("Nuevo Cliente")
           //$("#txtDNIB").prop('value',null);
          //swal("Nuevo Cliente", datos_beneficiario(), "warning");
          //$("#formulario").validator('validate');
          //console.log($("#IdBeneficiado").val())
        }
        //console.log(cliente);
        
      }); 

      var autoBeneficiario_ap= $('#txtAPB').typeahead({
        source:  function (query, process) {
          return $.get('/listaCliente_autocompletado_paterno_ajax/', { query: query,'no':$("#txtNombreB").val(),'am':$("#txtAMB").val()}, function (data) {
                return process(data);
            },'json');
        }
      });
      // materno
      $("#txtAMB").change(function() {
        var current = $("#txtAMB").typeahead("getActive");
        if (current) {
          // Some item from your model is active!
          if (current.name == datos_beneficiario() || current.name == $("#txtAMB").val()) {
            data_bene= current;
            $("#IdBeneficiado").prop('value',data_bene.id);
            $("#txtDNIB").prop('value',data_bene.dni);
            $("#txtNombreB").prop('value',data_bene.nombre);
            $("#txtAPB").prop('value',data_bene.ap);
            $("#txtAMB").prop('value',data_bene.am);
            $("#panel_beneficiario").prop("class","panel panel-success")
            $("#cabecera_bene").text("")
            //swal("Beneficario", datos_beneficiario(), "success");
            //$("#formulario").validator('validate');
            //console.log($("#IdBeneficiado").val())
          } 
          else {
            $("#IdBeneficiado").prop('value',null);
            $("#panel_beneficiario").prop("class","panel panel-warning")
          $("#cabecera_bene").text("(Nuevo Cliente)")
            //$("#txtDNIB").prop('value',null);
            //swal("Nuevo Cliente",datos_beneficiario(), "warning");
            //$("#formulario").validator('validate');
            //console.log($("#IdBeneficiado").val())
            //data_bene={id:-1}
          }
        } else {
           //swal("Alerta", "Se creara un nuevo cliente,complete los campos DNI/RUC y Direccion", "warning");
           $("#IdBeneficiado").prop('value',null);
           //$("#txtDNIB").prop('value',null);
           $("#panel_beneficiario").prop("class","panel panel-warning")
          $("#cabecera_bene").text("(Nuevo Cliente)")
          //swal("Nuevo Cliente", datos_beneficiario(), "warning");
          //$("#formulario").validator('validate');
          //console.log($("#IdBeneficiado").val())
        }
        //console.log(cliente);
        
      }); 

      var autoBeneficiario_am= $('#txtAMB').typeahead({
        source:  function (query, process) {
          return $.get('/listaCliente_autocompletado_materno_ajax/', { query: query,'ap':$("#txtAPB").val(),'no':$("#txtNombreB").val()}, function (data) {
                return process(data);
            },'json');
        }
      });
      $("#btn_limpiar_bene").click(function(e){
        e.preventDefault();
        limpiar_benericiario();
      })
      //***************************** solicitante **************************
      function datos_solicitante(){
        return $("#txtDNI").val()+' '+$("#txtNombre").val()+' '+$("#txtAP").val()+' '+$("#txtAM").val()
      }
      function limpiar_solicitante(){
        $("#IdCliente").prop('value',null);
        $("#txtDNI").prop('value',null);
        $("#txtNombre").prop('value',null);
        $("#txtAP").prop('value',null);
        $("#txtAM").prop('value',null);
      }
      
      $("#txtDNI").change(function() {
        var current = $("#txtDNI").typeahead("getActive");
        if (current) {
          // Some item from your model is active!
          if (current.name == datos_solicitante() || current.name == $("#txtDNI").val()) {
            data_soli= current;
            $("#IdCliente").prop('value',data_soli.id);
            $("#txtDNI").prop('value',data_soli.dni);
            $("#txtNombre").prop('value',data_soli.nombre);
            $("#txtAP").prop('value',data_soli.ap);
            $("#txtAM").prop('value',data_soli.am);
            $("#panel_solicitante").prop("class","panel panel-success")
            $("#cabecera_soli").text("")
            //swal("Solicitante", datos_solicitante(), "success");
            //$("#formulario").validator('validate');
            //console.log($("#IdBeneficiado").val())
          } 
          else {
            $("#IdCliente").prop('value',null);
            $("#panel_solicitante").prop("class","panel panel-warning")
            $("#cabecera_soli").text("(Nuevo Cliente)")
            //$("#txtNombre").prop('value',null);
            //$("#txtAP").prop('value',null);
            //$("#txtAM").prop('value',null);
            //swal("Nuevo Cliente",datos_solicitante(), "warning");
            //$("#formulario").validator('validate');
            //console.log($("#IdBeneficiado").val())
            //data_bene={id:-1}
          }
        } else {
           //swal("Alerta", "Se creara un nuevo cliente,complete los campos DNI/RUC y Direccion", "warning");
           $("#IdCliente").prop('value',null);
           $("#panel_solicitante").prop("class","panel panel-warning")
           $("#cabecera_soli").text("(Nuevo Cliente)")
            //$("#txtNombre").prop('value',null);
            //$("#txtAP").prop('value',null);
            //$("#txtAM").prop('value',null);
          //swal("Nuevo Cliente", datos_solicitante(), "warning");
          //$("#formulario").validator('validate');
          //console.log($("#IdBeneficiado").val())
        }
        //console.log(cliente);
        
      }); 

      var autoSolicitante_dni= $('#txtDNI').typeahead({
        source:  function (query, process) {
          return $.get('/listaCliente_autocompletado_dni_ajax/', { query: query }, function (data) {
                return process(data);
            },'json');
        }
      });
      //*** nombre
      $("#txtNombre").change(function() {
        var current = $("#txtNombre").typeahead("getActive");
        if (current) {
          // Some item from your model is active!
          if (current.name == datos_solicitante() || current.name == $("#txtNombre").val()) {
            data_soli= current;
            $("#IdCliente").prop('value',data_soli.id);
            $("#txtDNI").prop('value',data_soli.dni);
            $("#txtNombre").prop('value',data_soli.nombre);
            $("#txtAP").prop('value',data_soli.ap);
            $("#txtAM").prop('value',data_soli.am);
            $("#panel_solicitante").prop("class","panel panel-success")
            $("#cabecera_soli").text("")
            //swal("Solicitante", datos_solicitante(), "success");
            //$("#formulario").validator('validate');
            //console.log($("#IdBeneficiado").val())
          } 
          else {
            $("#IdCliente").prop('value',null);
            $("#panel_solicitante").prop("class","panel panel-warning")
            $("#cabecera_soli").text("(Nuevo Cliente)")
            //$("#txtDNI").prop('value',null);
            //swal("Nuevo Cliente",datos_solicitante(), "warning");
            //$("#formulario").validator('validate');
            //console.log($("#IdBeneficiado").val())
            //data_bene={id:-1}
          }
        } else {
           //swal("Alerta", "Se creara un nuevo cliente,complete los campos DNI/RUC y Direccion", "warning");
           $("#IdCliente").prop('value',null);
           $("#panel_solicitante").prop("class","panel panel-warning")
           $("#cabecera_soli").text("(Nuevo Cliente)")
           //$("#txtDNI").prop('value',null);
          //swal("Nuevo Cliente", datos_solicitante(), "warning");
          //$("#formulario").validator('validate');
          //console.log($("#IdBeneficiado").val())
        }
        //console.log(cliente);
        
      }); 

      var autoSolicitante_nombre= $('#txtNombre').typeahead({
        source:  function (query, process) {
          return $.get('/listaCliente_autocompletado_nombre_ajax/', { query: query,'ap':$("#txtAP").val(),'am':$("#txtAM").val()}, function (data) {
                return process(data);
            },'json');
        }
      });
      // paterno
      $("#txtAP").change(function() {
        var current = $("#txtAP").typeahead("getActive");
        if (current) {
          // Some item from your model is active!
          if (current.name == datos_solicitante() || current.name == $("#txtAP").val()) {
            data_soli= current;
            $("#IdCliente").prop('value',data_soli.id);
            $("#txtDNI").prop('value',data_soli.dni);
            $("#txtNombre").prop('value',data_soli.nombre);
            $("#txtAP").prop('value',data_soli.ap);
            $("#txtAM").prop('value',data_soli.am);
             $("#panel_solicitante").prop("class","panel panel-success")
            $("#cabecera_soli").text("")
            //swal("Solicitante", datos_solicitante(), "success");
            //$("#formulario").validator('validate');
            //console.log($("#IdBeneficiado").val())
          } 
          else {
            $("#IdCliente").prop('value',null);
            $("#panel_solicitante").prop("class","panel panel-warning")
            $("#cabecera_soli").text("(Nuevo Cliente)")
            //$("#txtDNI").prop('value',null);
            //swal("Nuevo Cliente",datos_solicitante(), "warning");
            //$("#formulario").validator('validate');
            //console.log($("#IdBeneficiado").val())
            //data_bene={id:-1}
          }
        } else {
           //swal("Alerta", "Se creara un nuevo cliente,complete los campos DNI/RUC y Direccion", "warning");
           $("#IdCliente").prop('value',null);
           $("#panel_solicitante").prop("class","panel panel-warning")
           $("#cabecera_soli").text("(Nuevo Cliente)")
           //$("#txtDNI").prop('value',null);
          //swal("Nuevo Cliente", datos_solicitante(), "warning");
          //$("#formulario").validator('validate');
          //console.log($("#IdBeneficiado").val())
        }
        //console.log(cliente);
        
      }); 

      var autoSolicitante_ap= $('#txtAP').typeahead({
        source:  function (query, process) {
          return $.get('/listaCliente_autocompletado_paterno_ajax/', { query: query,'no':$("#txtNombre").val(),'am':$("#txtAM").val()}, function (data) {
                return process(data);
            },'json');
        }
      });
      // materno
      $("#txtAM").change(function() {
        var current = $("#txtAM").typeahead("getActive");
        if (current) {
          // Some item from your model is active!
          if (current.name == datos_solicitante() || current.name == $("#txtAM").val()) {
            data_soli= current;
            $("#IdCliente").prop('value',data_soli.id);
            $("#txtDNI").prop('value',data_soli.dni);
            $("#txtNombre").prop('value',data_soli.nombre);
            $("#txtAP").prop('value',data_soli.ap);
            $("#txtAM").prop('value',data_soli.am);
            //swal("Solicitante", datos_solicitante(), "success");
            //$("#formulario").validator('validate');
            $("#panel_solicitante").prop("class","panel panel-success")
            $("#cabecera_soli").text("")
            //console.log($("#IdBeneficiado").val())
          } 
          else {
            $("#IdCliente").prop('value',null);
            $("#panel_solicitante").prop("class","panel panel-warning")
            $("#cabecera_soli").text("(Nuevo Cliente)")
            //$("#txtDNI").prop('value',null);
            //swal("Nuevo Cliente",datos_solicitante(), "warning");
            //$("#formulario").validator('validate');
            //console.log($("#IdBeneficiado").val())
            //data_bene={id:-1}
          }
        } else {
           //swal("Alerta", "Se creara un nuevo cliente,complete los campos DNI/RUC y Direccion", "warning");
           $("#IdCliente").prop('value',null);
           $("#panel_solicitante").prop("class","panel panel-warning")
           $("#cabecera_soli").text("(Nuevo Cliente)")
           //$("#txtDNI").prop('value',null);
          //swal("Nuevo Cliente", datos_solicitante(), "warning");
          //$("#formulario").validator('validate');
          //console.log($("#IdBeneficiado").val())
        }
        //console.log(cliente);
        
      }); 

      var autoSolicitante_ami= $('#txtAM').typeahead({
        source:  function (query, process) {
          return $.get('/listaCliente_autocompletado_materno_ajax/', { query: query,'ap':$("#txtAP").val(),'no':$("#txtNombre").val()}, function (data) {
                return process(data);
            },'json');
        }
      });
      $("#btn_limpiar_soli").click(function(e){
        e.preventDefault();
        limpiar_solicitante();
      })
      //******************
          //------------------------
        });
    </script>
   
{% endblock content1 %}
